package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class ThreeSixtyHotspotList implements Serializable
{

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("image_id")
    @Expose
    private String imageId;
    @SerializedName("pointvalue")
    @Expose
    private String pointvalue;
    @SerializedName("contentid")
    @Expose
    private String contentid;
    @SerializedName("is_deleted")
    @Expose
    private String isDeleted;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("description")
    @Expose
    private String description;
    @SerializedName("file")
    @Expose
    private String file;
    @SerializedName("file_url")
    @Expose
    private String fileUrl;
    @SerializedName("file_type")
    @Expose
    private String fileType;
    @SerializedName("thumb_image_url")
    @Expose
    private String thumbImageUrl;
    @SerializedName("point_arr")
    @Expose
    private ThreeSixtyPointArr pointArr;
    private final static long serialVersionUID = -8781694538638910977L;

    public ThreeSixtyPointArr getPointArr() {
        return pointArr;
    }

    public void setPointArr(ThreeSixtyPointArr pointArr) {
        this.pointArr = pointArr;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImageId() {
        return imageId;
    }

    public void setImageId(String imageId) {
        this.imageId = imageId;
    }

    public String getPointvalue() {
        return pointvalue;
    }

    public void setPointvalue(String pointvalue) {
        this.pointvalue = pointvalue;
    }

    public String getContentid() {
        return contentid;
    }

    public void setContentid(String contentid) {
        this.contentid = contentid;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getThumbImageUrl() {
        return thumbImageUrl;
    }

    public void setThumbImageUrl(String thumbImageUrl) {
        this.thumbImageUrl = thumbImageUrl;
    }

}